For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/program/default_payout

patch

Edit default payout for program

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
programidintegerRequired
field_0stringOptionalDefault: 0
field_1stringOptionalDefault: 0
field_2stringOptionalDefault: 0
field_3stringOptionalDefault: 0
field_4stringOptionalDefault: 0
field_5stringOptionalDefault: 0
field_6stringOptionalDefault: 0
field_7stringOptionalDefault: 0
field_8stringOptionalDefault: 0
field_9stringOptionalDefault: 0
field_10stringOptionalDefault: 0
field_11stringOptionalDefault: 0
field_12stringOptionalDefault: 0
field_13stringOptionalDefault: 0
field_14stringOptionalDefault: 0
field_15stringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
patch/api/program/default_payout
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'programid' => 1,
		'field_0' => 5,
		'field_1' => 5,
		'field_2' => 5,
		'field_3' => 5,
		'field_4' => 10,
		'field_5' => 5,
		'field_6' => 2,
		'field_7' => 1
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'program/default_payout',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Default payout updated",
  "payouts": [
    {
      "id": 0,
      "field": "Raw",
      "pre": "$",
      "post": "",
      "value": "5.00",
      "max": "5.00",
      "min": "5.00",
      "default": "0.00"
    },
    {
      "id": 1,
      "field": "Unq",
      "pre": "$",
      "post": "",
      "value": "5.00",
      "max": "5.00",
      "min": "5.00",
      "default": "0.00"
    },
    {
      "id": 2,
      "field": "Qual",
      "pre": "$",
      "post": "",
      "value": "5.00",
      "max": "5.00",
      "min": "5.00",
      "default": "0.00"
    },
    {
      "id": 3,
      "field": "$ Join",
      "pre": "$",
      "post": "",
      "value": "5.00",
      "max": "5.00",
      "min": "5.00",
      "default": "0.00"
    },
    {
      "id": 4,
      "field": "$ Rebill",
      "pre": "$",
      "post": "",
      "value": "10.00",
      "max": "10.00",
      "min": "10.00",
      "default": "0.00"
    },
    {
      "id": 5,
      "field": "$ Active",
      "pre": "$",
      "post": "",
      "value": "5.00",
      "max": "5.00",
      "min": "5.00",
      "default": "0.00"
    },
    {
      "id": 6,
      "field": "% Join",
      "pre": "",
      "post": "%",
      "value": "2.00",
      "max": "2.00",
      "min": "2.00",
      "default": "0.00"
    },
    {
      "id": 7,
      "field": "% Rebill",
      "pre": "",
      "post": "%",
      "value": "1.00",
      "max": "1.00",
      "min": "1.00",
      "default": "0.00"
    },
    {
      "id": 8,
      "field": "% Dialer",
      "pre": "",
      "post": "%",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 9,
      "field": "NCR",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 10,
      "field": "Third Reg",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 11,
      "field": "% Active",
      "pre": "",
      "post": "%",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    }
  ]
}

Last updated

Was this helpful?